关于php与sybase数据库的连接与使用

问:关于php与sybase数据库的连接与使用答:很高兴看到大家在使用sybase,在使用本站php_sybct.dll模块时,不少网友遇到问题, 现将网友们的问题解释如下: 1.注意你的php版本,我只使用php官方源代码(http://php.net)编译php.而且,在php4里,我发现 每一个版本都稍有区别(主要与zend有关),因此php4的模块严格区分php版本,php4rc1的模块不 可能在php4.0.0中使用.有网友使用swwwing.com公司的php编译版,我不能保证你一定能使用本 模块. 2.正确配置你的php,保证你的机器在系统可遍历的路径里只有一个php.ini,并配置正确,建议的 做法: 将php_sybct.dll拷至php4所在目录,如c:php4,修改php.ini(一般位于windows目录或 winnt目录)中extension_dir=c:php4 增加 extension=php_sybct.dll 注意=号两边不要有空 格;运行php_info();,查看php输出信息,若找到sybase_ct信息,证明模块加载成功.否则,就是 你的php版本与本模块不匹配.其实最简单办法是看有没有什么 x-powered by… 信息,若有, 则模块肯定与php版本不匹配! 3.正确安装并配置好sybase client端,php连接sybase数据库不是凭空的,它需要sybase client dll的支持.使用sqledit为web数据库增加一个数据服务(当然,这不是必须的,你可以使用现有 的数据服务)sybweb,正确填写配置参数后,存盘退出. 使用sybaseping工具,确保sybweb服务能 ping通sybase server. 4.编写php代码,连接数据库,使用sybase_pconnect(“sybweb”,”sa”,”sapass”);//sapass为sa用 户的连接密码.sybase会提示诸如”changed database to master…”等信息,若想屏蔽这些信 息,可在函数前加@,sybase_select_db(“your database name”)函数前也应加@. 5.其它问题: *关于非法操作 其一可能与本机有关,如sybase client安装不正确,或win9x系统有问题.你可以移植到winnt 试试; 其二可能与sybase client版本有关,我使用sybasect version 11.0.2编译的本模块,后来有网 友提供了version 11.9.2,我将在php4.0.1(含)以后的版本中使用.就像mssql有65与70一 样,sybase也会有版本区分.此模块我发给过不少国外的网友,他们使用都很正常.我想是因 为老外不像国人那么时髦,什么都用最新的缘故. *关于linux或unix下sybase的连接 我没有使用两种系统下的sybase,因此无法测试,但国内外都有网友使用本模块成功的建立了与 sybase for lunix的连接.我想都是基于tcp/ip的,并不奇怪.不过,应注意,此时的sybweb服务应 基于tcp/ip(nlwnsck)而不是命名管道(nlmsnmp). *关于sybase sql any where 有网友使用本模块连接 sybase sql any where,这是sybase的一种小型化的基于桌面的数据库 系统,可能无法使用本模块. 我使用win98+apache1.3.12+sybase system 11(client)+php4.0.0作开发; 数据库为 winnt4+sybase system11; web server为apache1.3.12(运行于winnt)+php4.0.0,暂时与数据库 server 同机; 使用一直正常.

http://www.bkjia.com/phpjc/532036.htmlwww.bkjia.comtruehttp://www.bkjia.com/phpjc/532036.htmltecharticle问:关于php与sybase数据库的连接与使用 答: 很高兴看到大家在使用sybase,在使用本站php_sybct.dll模块时,不少网友遇到问题, 现将网友们的问题…

Posted in 未分类